<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__wss__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_wss_descr_value_t</compoundname>
    <includes local="no">cy_ble_wss.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__wss__descr__value__t_1a262c59f8eaea2c701e1851d96161f5dd" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_wss_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="72" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="72" />
      </memberdef>
      <memberdef id="structcy__stc__ble__wss__descr__value__t_1aa89464e0d8bfd41a9ea37b25fa1cc5a7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gac4573c7d827520f05d8844b2732fbad0">cy_en_ble_wss_char_index_t</ref></type>
        <definition>cy_en_ble_wss_char_index_t cy_stc_ble_wss_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="73" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="73" />
      </memberdef>
      <memberdef id="structcy__stc__ble__wss__descr__value__t_1ac10f2a24d9702da87c0a01c980330517" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1ga6bafabf64300f164347aade2e4639c96">cy_en_ble_wss_descr_index_t</ref></type>
        <definition>cy_en_ble_wss_descr_index_t cy_stc_ble_wss_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Index of Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="74" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="74" />
      </memberdef>
      <memberdef id="structcy__stc__ble__wss__descr__value__t_1a00d26bea98ab47308f8e639474ae384e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_wss_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="75" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="75" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>WSS Characteristic descriptor value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1346">
        <label>cy_stc_ble_wss_descr_value_t</label>
        <link refid="structcy__stc__ble__wss__descr__value__t" />
        <childnode refid="1347" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="1348" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="1348">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1347">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="76" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="70" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="71" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__wss__descr__value__t_1aa89464e0d8bfd41a9ea37b25fa1cc5a7" virt="non-virtual"><scope>cy_stc_ble_wss_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__wss__descr__value__t_1a262c59f8eaea2c701e1851d96161f5dd" virt="non-virtual"><scope>cy_stc_ble_wss_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__wss__descr__value__t_1ac10f2a24d9702da87c0a01c980330517" virt="non-virtual"><scope>cy_stc_ble_wss_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__wss__descr__value__t_1a00d26bea98ab47308f8e639474ae384e" virt="non-virtual"><scope>cy_stc_ble_wss_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>